import { UiField } from "./UiField";
import { UiColorPickerConfig, UiColorPickerEventSource } from "../../generated/UiColorPickerConfig";
import { TeamAppsUiContext } from "../TeamAppsUiContext";
import { UiFieldEditingMode } from "../../generated/UiFieldEditingMode";
export declare class UiColorPicker extends UiField<UiColorPickerConfig, string> implements UiColorPickerEventSource {
    private $main;
    private pickr;
    private doNotCommit;
    protected initialize(config: UiColorPickerConfig, context: TeamAppsUiContext): void;
    isValidData(v: string): boolean;
    commit(forceEvenIfNotChanged?: boolean): boolean;
    protected displayCommittedValue(): void;
    getDefaultValue(): string;
    focus(): void;
    getMainInnerDomElement(): HTMLElement;
    getTransientValue(): string;
    protected onEditingModeChanged(editingMode: UiFieldEditingMode): void;
    valuesChanged(v1: string, v2: string): boolean;
    destroy(): void;
}
